package com.yh.saas.plugin.operation.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yh.saas.plugin.operation.entity.CommonOperator;

/**
 * <p>
 * 账户信息 服务类
 * </p>
 *
 * @author zhangb
 */
public interface IOperatorService extends IService<CommonOperator> {

	/**
	 * 创建账户
	 * 
	 * @param operator 账户信息
	 */
	void create(CommonOperator operator);

	/**
	 * 修改账户信息
	 * 
	 * @param operator 账户信息
	 */
	void changeInfo(CommonOperator operator);

	/**
	 * 启用
	 * 
	 * @param operatorId 账户ID
	 */
	void enable(String operatorId);

	/**
	 * 禁用
	 * 
	 * @param operatorId 账户ID
	 */
	void disable(String operatorId);

	/**
	 * 批量删除账户
	 * 
	 * @param operatorId 账户ID列表
	 */
	void remove(String operatorId);

	/**
	 * 根据主键id查询详情
	 * @return
	 */
	CommonOperator selectById(String id);

	/**
	 * 查询账户列表
	 * 
	 * @param operator
	 * @return 账户列表
	 */
	Page<CommonOperator> findOperators(String keyword, Page<CommonOperator> operator);

}
